package com.ruoyi.interfaces.service;

import com.ruoyi.interfaces.domain.MdModelParams;

import java.util.List;

/**
 * 模型参数信息Service接口
 * 
 * @author ruoyi
 * @date 2025-07-15
 */
public interface IMdModelParamsService 
{
    /**
     * 查询模型参数信息
     * 
     * @param parId 模型参数信息主键
     * @return 模型参数信息
     */
    public MdModelParams selectMdModelParamsByParId(String parId);

    /**
     * 查询模型参数信息列表
     * 
     * @param mdModelParams 模型参数信息
     * @return 模型参数信息集合
     */
    public List<MdModelParams> selectMdModelParamsList(MdModelParams mdModelParams);

    /**
     * 新增模型参数信息
     * 
     * @param mdModelParams 模型参数信息
     * @return 结果
     */
    public int insertMdModelParams(MdModelParams mdModelParams);

    /**
     * 修改模型参数信息
     * 
     * @param mdModelParams 模型参数信息
     * @return 结果
     */
    public int updateMdModelParams(MdModelParams mdModelParams);

    /**
     * 批量删除模型参数信息
     * 
     * @param parIds 需要删除的模型参数信息主键集合
     * @return 结果
     */
    public int deleteMdModelParamsByParIds(String[] parIds);

    /**
     * 删除模型参数信息信息
     * 
     * @param parId 模型参数信息主键
     * @return 结果
     */
    public int deleteMdModelParamsByParId(String parId);

    int deleteMdModelParamsByMdid(String mdid);

}
